# SFormComponent

This file provide the mixins and functions to create form elements


## Mixins


### s-form-field-size

Set the styling for field sizes like padding, height, etc...

Author : Olivier Bossel <olivier.bossel@gmail.com>


### s-form-field-color

Set the styling for field color like borders


Name  |  Type  |  Description  |  Status  |  Default
------------  |  ------------  |  ------------  |  ------------  |  ------------
$color  |  **{ [Color](http://www.sass-lang.com/documentation/file.SASS_REFERENCE.html#colors) }**  |  The color wanted for the field  |  required  |

Author : Olivier Bossel <olivier.bossel@gmail.com>


### s-form-input

Apply the bare and style css for input field (text, email, etc...)


Name  |  Type  |  Description  |  Status  |  Default
------------  |  ------------  |  ------------  |  ------------  |  ------------
$color  |  **{ [Color](http://www.sass-lang.com/documentation/file.SASS_REFERENCE.html#colors) }**  |  The color wanted for the field  |  optional  |  default

Author : Olivier Bossel <olivier.bossel@gmail.com>


### s-form-input-bare

Apply the bare css for input field (text, email, etc...)

Author : Olivier Bossel <olivier.bossel@gmail.com>


### s-form-input-style

Apply the style css for input field (text, email, etc...)


Name  |  Type  |  Description  |  Status  |  Default
------------  |  ------------  |  ------------  |  ------------  |  ------------
$color  |  **{ [Color](http://www.sass-lang.com/documentation/file.SASS_REFERENCE.html#colors) }**  |  The color wanted for the field  |  optional  |  default

Author : Olivier Bossel <olivier.bossel@gmail.com>


### s-form-textarea

Apply the bare and style css for textarea


Name  |  Type  |  Description  |  Status  |  Default
------------  |  ------------  |  ------------  |  ------------  |  ------------
$color  |  **{ [Color](http://www.sass-lang.com/documentation/file.SASS_REFERENCE.html#colors) }**  |  The color wanted for the textarea  |  optional  |  default

Author : Olivier Bossel <olivier.bossel@gmail.com>


### s-form-textarea-field-size

Set the styling for textarea sizes like padding, etc...

Author : Olivier Bossel <olivier.bossel@gmail.com>


### s-form-textarea-bare

Apply the bare css for textarea

Author : Olivier Bossel <olivier.bossel@gmail.com>


### s-form-textarea-style

Apply the style css for textarea


Name  |  Type  |  Description  |  Status  |  Default
------------  |  ------------  |  ------------  |  ------------  |  ------------
$color  |  **{ [Color](http://www.sass-lang.com/documentation/file.SASS_REFERENCE.html#colors) }**  |  The color wanted for the textarea  |  optional  |  default

Author : Olivier Bossel <olivier.bossel@gmail.com>


### s-form-select

Apply the bare and style css for select


Name  |  Type  |  Description  |  Status  |  Default
------------  |  ------------  |  ------------  |  ------------  |  ------------
$color  |  **{ [Color](http://www.sass-lang.com/documentation/file.SASS_REFERENCE.html#colors) }**  |  The color wanted for the select  |  optional  |  default

Author : Olivier Bossel <olivier.bossel@gmail.com>


### s-form-select-field-color

Set the styling for select colors like background arrow, etc...

Author : Olivier Bossel <olivier.bossel@gmail.com>


### s-form-select-bare

Apply the bare css for select

Author : Olivier Bossel <olivier.bossel@gmail.com>


### s-form-select-style

Apply the style css for select


Name  |  Type  |  Description  |  Status  |  Default
------------  |  ------------  |  ------------  |  ------------  |  ------------
$color  |  **{ [Color](http://www.sass-lang.com/documentation/file.SASS_REFERENCE.html#colors) }**  |  The color wanted for the select  |  optional  |  default

Author : Olivier Bossel <olivier.bossel@gmail.com>


### s-form-group

Apply the bare and style css for form group

Author : Olivier Bossel <olivier.bossel@gmail.com>


### s-form-group-bare

Apply the bare css for form group

Author : Olivier Bossel <olivier.bossel@gmail.com>


### s-form-group-style

Apply the style css for form group

Author : Olivier Bossel <olivier.bossel@gmail.com>


### s-form-addon

Apply the bare and style css for form addon


Name  |  Type  |  Description  |  Status  |  Default
------------  |  ------------  |  ------------  |  ------------  |  ------------
$color  |  **{ [Color](http://www.sass-lang.com/documentation/file.SASS_REFERENCE.html#colors) }**  |  The color wanted for the form addon  |  optional  |  default

Author : Olivier Bossel <olivier.bossel@gmail.com>


### s-form-addon-bare

Apply the bare css for form group

Author : Olivier Bossel <olivier.bossel@gmail.com>


### s-form-addon-style

Apply the bare and style css for form group


Name  |  Type  |  Description  |  Status  |  Default
------------  |  ------------  |  ------------  |  ------------  |  ------------
$color  |  **{ [Color](http://www.sass-lang.com/documentation/file.SASS_REFERENCE.html#colors) }**  |  The color wanted for the select  |  optional  |  default

Author : Olivier Bossel <olivier.bossel@gmail.com>